MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027208Community[OCCT] OCCT:Foundation Classespublic2016-02-26 16:112016-04-20 15:49
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027208: Show method in Message_ProgressIndicator::NewScope should not be commented out
DescriptionIt seems as if this has been done by mistake. See http://www.opencascade.com/content/messageprogressindicatornewscope. [^] It prevents the scope name from appearing in a progress display.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0051171)
git (administrator)
2016-02-26 16:12

Branch CR27208 has been created by BenjaminBihler.

SHA-1: 26d6f63f47ddcd775d6cd63f703cb2efe9c05b5b


Detailed log of new commits:

Author: Benjamin Bihler
Date: Fri Feb 26 14:07:28 2016 +0100

    Undone commenting out of Show method
(0051182)
abv (manager)
2016-02-26 17:57

No remarks, please test
(0051217)
mkv (tester)
2016-02-29 14:52

Dear BugMaster,
Branch CR27208 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 26d6f63f47ddcd775d6cd63f703cb2efe9c05b5b

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 41 (41 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90236174 / 90531304 [-0.33%]
Total CPU difference: 19308.340000000026 / 19576.510000000108 [-1.37%]
products component :
Total MEMORY difference: 17499311 / 17401929 [+0.56%]
Total CPU difference: 5148.111000499959 / 5096.459069399955 [+1.01%]

Testing on Windows:
occt component :
Total MEMORY difference: 57365479 / 57106337 [+0.45%]
Total CPU difference: 17628.659003499048 / 17710.10712559875 [-0.46%]
products component :
Total MEMORY difference: 25940899 / 25882280 [+0.23%]
Total CPU difference: 5369.81999999999 / 5317.479999999984 [+0.98%]

There are no differences in images found by testdiff.
(0051218)
mkv (tester)
2016-02-29 14:52

Dear BugMaster,
Branch CR27208 is TESTED.
(0052789)
git (administrator)
2016-04-17 12:57

Branch CR27208 has been deleted by kgv.

SHA-1: 26d6f63f47ddcd775d6cd63f703cb2efe9c05b5b

- Related Changesets
occt: master 9d55d9b0
Timestamp: 2016-02-26 13:07:28
Author: BenjaminBihler
Committer: bugmaster
Details ] Diff ]
0027208: Show method in Message_ProgressIndicator::NewScope should not be commented out

Undone commenting out of Show method
mod - src/Message/Message_ProgressIndicator.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-26 16:11 BenjaminBihler New Issue
2016-02-26 16:11 BenjaminBihler Assigned To => abv
2016-02-26 16:12 git Note Added: 0051171
2016-02-26 16:26 BenjaminBihler Status new => resolved
2016-02-26 16:26 BenjaminBihler Steps to Reproduce Updated View Revisions
2016-02-26 17:57 abv Note Added: 0051182
2016-02-26 17:57 abv Status resolved => reviewed
2016-02-26 17:57 abv Target Version 7.1.0 => 7.0.0
2016-02-26 18:10 abv Assigned To abv => bugmaster
2016-02-26 18:45 mkv Assigned To bugmaster => mkv
2016-02-29 14:52 mkv Note Added: 0051217
2016-02-29 14:52 mkv Note Added: 0051218
2016-02-29 14:52 mkv Assigned To mkv => bugmaster
2016-02-29 14:52 mkv Status reviewed => tested
2016-02-29 14:52 mkv Test case number => Not needed
2016-03-04 16:52 bugmaster Changeset attached => occt master 9d55d9b0
2016-03-04 16:52 bugmaster Status tested => verified
2016-03-04 16:52 bugmaster Resolution open => fixed
2016-04-04 10:37 bugmaster Project Community => Bentley Systems
2016-04-04 18:39 bugmaster Project Bentley Systems => Community
2016-04-17 12:57 git Note Added: 0052789
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker